Bug 1032745 - [upgrade] upgrade 3.2 => 3.3 failed - password authentication failed for user "rhevm"
[upgrade] upgrade 3.2 => 3.3 failed - password authentication failed for user...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity urgent
: ---
: 3.3.0
Assigned To: Sandro Bonazzola
Pavel Stehlik
integration
: Regression, Triaged
Depends On:
Blocks: 3.3snap4
  Show dependency treegraph
 
Reported: 2013-11-20 12:44 EST by Pavel Stehlik
Modified: 2014-01-21 17:33 EST (History)
8 users (show)

See Also:
Fixed In Version: is26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ovirt-engine-setup-20131120183219.log.tgz (11.83 KB, application/x-gzip)
2013-11-20 12:44 EST, Pavel Stehlik
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 21706 None None None Never
oVirt gerrit 21842 None None None Never

  None (edit)
Description Pavel Stehlik 2013-11-20 12:44:08 EST
Created attachment 826777 [details]
ovirt-engine-setup-20131120183219.log.tgz

Description of problem:
 Upgrade from 3.2.4 => 3.3 (sf21.1 => is24) failed. 

[ ERROR ] Failed to execute stage 'Environment setup': Cannot connect to database: FATAL:  password authentication failed for user "rhevm" FATAL:  password authentication failed for user "rhevm" 

as root user, ~/.pgpass  contains:
localhost:5432:*:postgres:{hidden-in-this-BZ}
localhost:5432:*:engine:{hidden-in-this-BZ}
localhost:5432:rhevm:rhevm:{hidden-in-this-BZ}

I never changed password on this environ.

Version-Release number of selected component (if applicable):
is24

How reproducible:


Steps to Reproduce:
1. have sf21.1
2. yum update rhevm-setup;rhevm-setup
3.

Actual results:


Expected results:


Additional info:
...
2013-11-20 18:32:26 DEBUG otopi.ovirt_engine_setup.database database.execute:128 Creating own connection
2013-11-20 18:32:26 DEBUG otopi.ovirt_engine_setup.database database.tryDatabaseConnect:296 Connection failed
Traceback (most recent call last):
  File "/usr/share/ovirt-engine/setup/ovirt_engine_setup/database.py", line 292, in tryDatabaseConnect
    transaction=False,
  File "/usr/share/ovirt-engine/setup/ovirt_engine_setup/database.py", line 145, in execute
    sslmode=sslmode,
OperationalError: FATAL:  password authentication failed for user "rhevm"
FATAL:  password authentication failed for user "rhevm"

2013-11-20 18:32:26 DEBUG otopi.context context._executeMethod:137 method exception
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/otopi/context.py", line 127, in _executeMethod
    method['method']()
  File "/usr/share/ovirt-engine/setup/bin/../plugins/ovirt-engine-setup/legacy/database.py", line 102, in _setup
    dbovirtutils.tryDatabaseConnect()
  File "/usr/share/ovirt-engine/setup/ovirt_engine_setup/database.py", line 299, in tryDatabaseConnect
    error=e,
RuntimeError: Cannot connect to database: FATAL:  password authentication failed for user "rhevm"
FATAL:  password authentication failed for user "rhevm"

2013-11-20 18:32:26 ERROR otopi.context context._executeMethod:146 Failed to execute stage 'Environment setup': Cannot connect to database: FATAL:  password authentication failed for user "rhevm"
FATAL:  password authentication failed for user "rhevm"

2013-11-20 18:32:26 DEBUG otopi.context context.dumpEnvironment:441 ENVIRONMENT DUMP - BEGIN
2013-11-20 18:32:26 DEBUG otopi.context context.dumpEnvironment:456 ENV BASE/error=bool:'True'
...
Comment 1 Yedidyah Bar David 2013-11-25 10:33:38 EST
I have a feeling that it's related to http://gerrit.ovirt.org/21186 but not sure.

Do you have by any chance, or can try to create, logs of a similar upgrade, on the same machine, to something a bit older, e.g. is23?

What's in /etc/ovirt-engine/.pgpass ? Generally (on 3.2) it should only have two lines (user and admin), not three (as you wrote above about /root/.pgpass).

Thanks!
Comment 2 Alex Lourie 2013-11-25 12:41:04 EST
@Pavel

Following Didi's comment - the ~/.pgpass file should not exist on 3.2 system as we remove it/not create it in the first place. Additionally, 3.3 code doesn't read ~/.pgpass at all.

Let's see what contents you have in /etc/ovirt-engine/.pgpass and we'll see what can we do next.


@Didi
I don't think the mentioned patch is to blame, but more investigation is required in order to make sure.
Comment 7 Itamar Heim 2014-01-21 17:30:49 EST
Closing - RHEV 3.3 Released
Comment 8 Itamar Heim 2014-01-21 17:30:51 EST
Closing - RHEV 3.3 Released
Comment 9 Itamar Heim 2014-01-21 17:33:48 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.